//------------------------------------------------------------------------------
// <auto-generated>
//     Этот код создан по шаблону.
//
//     Изменения, вносимые в этот файл вручную, могут привести к непредвиденной работе приложения.
//     Изменения, вносимые в этот файл вручную, будут перезаписаны при повторном создании кода.
// </auto-generated>
//------------------------------------------------------------------------------

namespace HotelApp
{
    using System;
    using System.Collections.Generic;
    
    public partial class SettlementTable
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public SettlementTable()
        {
            this.HotelStayTables = new HashSet<HotelStayTable>();
        }
    
        public int SettlementId { get; set; }
        public int RoomId { get; set; }
        public Nullable<int> BookingId { get; set; }
        public System.DateTime PlannedСheckOutDate { get; set; }
    
        public virtual BookingTable BookingTable { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<HotelStayTable> HotelStayTables { get; set; }
        public virtual RoomTable RoomTable { get; set; }
    }
}
